Loading...
Searching...
No Matches
RDKit::MolOps::details Namespace Reference

## Functions

RDKIT_GRAPHMOL_EXPORT void | KekulizeFragment (RWMol &mol, const boost::dynamic_bitset<> &atomsToUse, boost::dynamic_bitset<> bondsToUse, bool markAtomsBonds=true, unsigned int maxBackTracks=100)
| not recommended for use in other code
RDKIT_GRAPHMOL_EXPORT std::vector< int > | hapticBondEndpoints (const Bond *bond)

## Function Documentation

## hapticBondEndpoints()

RDKIT_GRAPHMOL_EXPORT std::vector< int > RDKit::MolOps::details::hapticBondEndpoints | ( | const Bond * | bond | ) |

## KekulizeFragment()

RDKIT_GRAPHMOL_EXPORT void RDKit::MolOps::details::KekulizeFragment | ( | RWMol & | mol,
|  | const boost::dynamic_bitset<> & | atomsToUse,
|  | boost::dynamic_bitset<> | bondsToUse,
|  | bool | markAtomsBonds = `true`,
|  | unsigned int | maxBackTracks = `100`
| ) |  |

not recommended for use in other code